WSMOUSE(4)

NAME
wsmouse - generic mouse support in wscons

SYNOPSIS
wsmouse* at ...

DESCRIPTION
The wsmouse driver is an abstraction layer for mice within the wscons(4) framework. It is attached to the hardware specific mouse drivers and provides a character device interface which returns struct wscons_event via read(2). For use with X servers, “mouse events” can be generated.

The wsmouse driver provides a number of ioctl functions to control various parameters (see /usr/include/dev/wscons/wsconsio.h). The wsconsctl(8) utility gives access to these variables.

FILES
/dev/wsmouse*
/usr/include/dev/wscons/wsconsio.h

SEE ALSO
ams(4), hilms(4), intro(4), lkms(4), lms(4), mms(4), pms(4), ubcmtp(4), ums(4), utpms(4), wscons(4), wsmux(4), zts(4), wsconsctl(8), wsmoused(8)